CifFileReadDef.h File Reference

Header file for CifFileReadDef class. More...

`#include <string>`
`#include <vector>`
`#include <iostream>`
`#include <fstream>`
`#include <stdio.h>`
`#include <string.h>`
Include dependency graph for CifFileReadDef.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | CifFileReadDef
| Private class that represents a CIF parser controller. More...

## Macros

#define | INVALID_NUM_CATS -1

## Enumerations

enum | type { A, D }

## Detailed Description

Header file for CifFileReadDef class.

## Macro Definition Documentation

#define INVALID_NUM_CATS -1

Referenced by CifFileReadDef::CifFileReadDef().

## Enumeration Type Documentation

enum type

Enumerator
A |
D |